1 (edited by xwb 2014-02-04 13:03:45)

Topic: XCache 3.1 and PHP 5.4

XCache 3.0.x does not work on the CLI and therefore generates the following annoying errors/notices:

xcache_isset(): XCache var cache was not initialized properly. Check php log for actual reason
xcache_set(): XCache var cache was not initialized properly. Check php log for actual reason

This has been fixed in XCache 3.1 (which also adds PHP 5.5 support):

http://tinyurl.com/o5ea6hx

As far as I can see, XCache 3.1 package is only available for PHP 5.5 in remi-php55. As this is a bug fix, would it be possible to update php-xcache and xcache-admin for PHP 5.4 in remi too? We are using both CentOS 5 and 6.

Re: XCache 3.1 and PHP 5.4

Will add this in my TODO list, but not before Feb 11th (traveling)

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

3 (edited by xwb 2014-02-04 13:08:13)

Re: XCache 3.1 and PHP 5.4

Excellent, thank you in advance smile

Re: XCache 3.1 and PHP 5.4

php-xcache-3.1.0-2 is now available for php 5.4.

Feedback welcome.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: XCache 3.1 and PHP 5.4

Works perfectly, thank you very much!